<?php
	
	class WebService 
	{
		var $host = "";

		public function __construct() 
		{
			global $GLOBALS, $HOST_WEBSERVICE;

			$this->host = $HOST_WEBSERVICE ."/sysclub_class/serverwebservice.php";
		}

        function Login($usuario, $senha)
		{
			try {
				$client = new SoapClient(null, array('location' => $this->host, 'uri'=> $this->host,'trace'=> 1, 'encoding'=>'ISO-8859-1'));
				return $client->Login($usuario, $senha);
			} catch (Exception $e) {
				echo 'Exceção capturada: ',  $e->getMessage(), "\n";
				echo $client->__getLastResponse();
				break;
			}
		}

		function isSocio($cpf, $titulo)
		{
			$client = new SoapClient(null, array('location' => $this->host, 'uri'=> $this->host,'trace'=> 1, 'encoding'=>'ISO-8859-1'));
			return $client->isSocio($cpf, $titulo);
		}

        function IdentificarSocio($titulo, $datanascimento)
		{
			$client = new SoapClient(null, array('location'=> $this->host,'uri'=> $this->host,'trace'=> 1, 'encoding'=>'ISO-8859-1'));
			return $client->IdentificarSocio($titulo, $datanascimento );
		}

        function IdentificarSocioRg($rg, $datanascimento)
		{
			$client = new SoapClient(null, array('location'=> $this->host,'uri'=> $this->host,'trace'=> 1, 'encoding'=>'ISO-8859-1'));
			return $client->IdentificarSocioRg($rg, $datanascimento );
		}

		function getTodosSocios($codigo)
		{
			$client = new SoapClient(null, array('location' => $this->host, 'uri'=> $this->host,'trace'=> 1, 'encoding'=>'ISO-8859-1'));
			return $client->getTodosSocios($codigo );
		}

		function ListaDependentes($codigo)
		{
			$client = new SoapClient(null, array('location'=> $this->host,'uri'=> $this->host,'trace'=> 1, 'encoding'=>'ISO-8859-1'));
			return $client->ListaDependentes($codigo);
		}

		// BOLETO

        function GetDadosFinanceiro($codigo)
		{
			$client = new SoapClient(null, array('location'=> $this->host,'uri'=> $this->host,'trace'=> 1, 'encoding'=>'ISO-8859-1'));
			return $client->GetDadosFinanceiro($codigo );
		}

        function GetDadosFinanceiroMensal($codigo)
		{
			$client = new SoapClient(null, array('location'=> $this->host,'uri'=> $this->host,'trace'=> 1, 'encoding'=>'ISO-8859-1'));
			return $client->GetDadosFinanceiroMensal($codigo );
		}


        function GetDadosFinanceiroMensalDetalhado($codigo, $mesano)
		{
			$client = new SoapClient(null, array('location'=> $this->host,'uri'=> $this->host,'trace'=> 1, 'encoding'=>'ISO-8859-1'));
			return $client->GetDadosFinanceiroMensalDetalhado($codigo, $mesano);
		}

        function AlterarSenha($codigo, $login, $senha)
		{
			$client = new SoapClient(null, array('location'=> $this->host,'uri'=> $this->host,'trace'=> 1, 'encoding'=>'ISO-8859-1'));
			return $client->AlterarSenha($codigo, $login, $senha );
		}

        function GetBoleto($codigo, $lancamentos)
		{			
			$client = new SoapClient(null, array('location'=> $this->host,'uri'=> $this->host,'trace'=> 1, 'encoding'=>'ISO-8859-1'));
			return $client->GetBoleto($lancamentos);
		}
		
		function GetBoletoInscricaoFutebol($codigo, $codigoInscricao) {
			$client = new SoapClient(null, array('location'=> $this->host,'uri'=> $this->host,'trace'=> 1, 'encoding'=>'ISO-8859-1'));
			return $client->GetBoletoInscricaoFutebol($codigo, $codigoInscricao);
		}
	}

?>